Step 3: Resume to get authorization code
GET {{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}
After completing the actions specified by the sign-on policy, in this case submitting a username and password, the authentication flow completes and the user is redirected to the URL specified in the resumeUrl property in the flow resource.
You can use the GET /{{envID}}/as/resume?flowId={{flowID}} endpoint to obtain the code required to exchange for an access token.
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff '{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}'
var options = new RestClientOptions("{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
GET /{{envID}}/as/resume?flowId={{publicFlowID}} HTTP/1.1
Host: {{authPath}}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}")
.method("GET", body)
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}",
"method": "GET",
"timeout": 0,
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'GET',
'url': '{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}',
'headers': {
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
url = "{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}"
payload = {}
headers = {}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"
url = URI("{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/as/resume?flowId={{publicFlowID}}")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"_links": {
"self": {
"href": "http://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/03af543b-2ef8-42f6-ae9b-6ba1d4efc9c8"
},
"signOnPage": {
"href": "https://apps.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/signon/?flowId=03af543b-2ef8-42f6-ae9b-6ba1d4efc9c8"
}
},
"_embedded": {
"user": {
"id": "386e547a-45b6-410f-b61f-e4f4dc177fac",
"username": "sharedTestUser"
},
"application": {
"name": "Shared-Native-App"
}
},
"id": "03af543b-2ef8-42f6-ae9b-6ba1d4efc9c8",
"environment": {
"id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
},
"session": {
"id": "cc6adaa4-26d5-485c-a7e9-fef8017b2715"
},
"resumeUrl": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/as/resume?flowId=03af543b-2ef8-42f6-ae9b-6ba1d4efc9c8",
"status": "COMPLETED",
"createdAt": "2026-04-20T16:34:21.222Z",
"expiresAt": "2026-04-20T16:49:53.025Z",
"authorizeResponse": {
"code": "03531fcd-dabe-4c5e-95e4-b4b65a9efab1"
}
}